@font-face {
  font-family: "Helvetica Neue";
  src: url(HelveticaNeueBold.otf);
}
  
html, body {
  text-align: center;
  flex-direction: column;
}

#coming-soon {
  display: flex;
  flex-direction: column;
  overflow: hidden;
}

#coming-soon .title {
  padding: 8vh 0 2rem;
  text-align: center;
}

#coming-soon .title img {
  height: 1.5rem;
}

#coming-soon .logo {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

#coming-soon .logo-container {
  position: relative;
  width: 80%;
  overflow: hidden;
}

#coming-soon .logo .outer {
  width: 100%;
  animation: reverse-rotation 20s infinite linear;
}

#coming-soon .logo-inner-container {
  width: 76.5864333%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate( -50%, -50% );
}

#coming-soon .logo .inner {
  width: 100%;
  animation: rotation 20s infinite linear;
}

#coming-soon .subscribe {
  padding: 2rem 0 8vh;
}

#coming-soon .subscribe p {
  margin: 0;
}

.mc4wp-form-fields {
  text-align: center;
}

#coming-soon .subscribe .email input:invalid {
  box-shadow: none;
}

#coming-soon .subscribe .email {
  position: relative;
  left: 50%;
  transform: translateX( -50% );
}

#coming-soon .subscribe .email input {
  border: none;
  text-align: center;
  padding: 0 0 5px 0;
  min-width: 200px;
  border-bottom: 2px solid black;
  font-family: "Helvetica";
  letter-spacing: 0.5px;
  color: black;
  overflow: visible;
}

[type="email"] {
  -moz-appearance:    textfield;
  -webkit-appearance: textfield;
  appearance:         textfield;
}

#coming-soon .subscribe .email input::placeholder {
  opacity: 1;
  color: black;
}

#coming-soon .subscribe .email input:-ms-input-placeholder {
  color: black;
}

#coming-soon .subscribe .email input::-ms-input-placeholder {
  color: black;
}

#coming-soon .subscribe .email input:focus {
  outline: none;
}

#coming-soon .subscribe .submit {
  border: none;
  color: white;
  padding: 3px 20px 5px;
  background-color: black;
  font-family: "Helvetica Neue";
}

@media only screen and (min-width: 900px) {

}

@media only screen and (min-width: 1200px) {
  body {
    overflow: hidden;
  }

  #coming-soon .title {
    padding: 50px 70px;
    text-align: left;
  }

  #coming-soon .subscribe {
    position: absolute;
    bottom: 50%;
    left: 0;
    transform: translate( 0, 50% );
    padding: 0;
    width: 30%;
  }

  .mc4wp-response {
    margin-top: 30px;
    text-align: center;
  }

  #coming-soon .subscribe .mc4wp-response p {
    margin: auto;
    width: 300px;
  }
}

@media only screen and (orientation: Landscape) {
  #coming-soon .title {
    position: absolute;
  }

  #coming-soon {
    display: block;
  }

  #coming-soon .logo {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate( -50%, -50% );
    height: 100%;
  }

  #coming-soon .logo-container {
    height: 80%;
    width: initial;
  }
  
  #coming-soon .logo .outer {
    height: 100%;
    width: initial;
  }
}

/* Phones Landscape */
@media only screen and (max-width: 1199px) and (orientation: Landscape) {
  #coming-soon .title {
    padding: 8vh 8vh;
    text-align: left;
  }

  #coming-soon .title img {
    height: 1.2rem;
  }

  #coming-soon .subscribe {
    position: absolute;
    bottom: 0;
    padding: 2rem 8vh 8vh;
  }

  #coming-soon .subscribe p,
  #coming-soon .subscribe input {
    text-align: left !important; 
  }

  #coming-soon .subscribe input {
    font-size: 0.9rem;
  }
}

@keyframes rotation {
  from {
      transform: rotate(0deg);
  }
  to {
      transform: rotate(359deg);
  }
}

@keyframes reverse-rotation {
  from {
      transform: rotate(359deg);
  }
  to {
      transform: rotate(0deg);
  }
}